aboutsummaryrefslogtreecommitdiffstats
path: root/main/open-iscsi/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-08 06:52:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-08 06:53:20 +0000
commitb6ecb2636c7f0613773f922c290dc02c890c4d8f (patch)
tree083133d5baff9da1644d32e56907afbdc71d13fd /main/open-iscsi/APKBUILD
parent991001c6f9ccf4f57efd4acff85e30801b1d785d (diff)
downloadaports-b6ecb2636c7f0613773f922c290dc02c890c4d8f.tar.gz
aports-b6ecb2636c7f0613773f922c290dc02c890c4d8f.tar.bz2
aports-b6ecb2636c7f0613773f922c290dc02c890c4d8f.tar.xz
main/open-iscsi: fix build on musl
Diffstat (limited to 'main/open-iscsi/APKBUILD')
-rw-r--r--main/open-iscsi/APKBUILD15
1 files changed, 13 insertions, 2 deletions
diff --git a/main/open-iscsi/APKBUILD b/main/open-iscsi/APKBUILD
index b37759e55f..5d9fc6e796 100644
--- a/main/open-iscsi/APKBUILD
+++ b/main/open-iscsi/APKBUILD
@@ -2,7 +2,7 @@
pkgname=open-iscsi
pkgver=2.0.873
_realver=${pkgver%.*}-${pkgver##*.}
-pkgrel=1
+pkgrel=2
pkgdesc="High performance, transport independent, multi-platform iSCSI initiator"
url="http://www.open-iscsi.org"
arch="all"
@@ -12,6 +12,7 @@ makedepends="openssl-dev"
install=""
subpackages="$pkgname-doc"
source="http://www.open-iscsi.org/bits/open-iscsi-$_realver.tar.gz
+ musl-fixes.patch
iscsid.initd
iscsid.confd"
@@ -19,6 +20,13 @@ _builddir="$srcdir"/$pkgname-$_realver
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ # include iscsistart in the package
+ sed -i -e '/^PROGRAMS = /s/$/ usr\/iscsistart/' Makefile || return 1
}
build() {
@@ -28,7 +36,7 @@ build() {
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install_user
+ make DESTDIR="$pkgdir" install_user || return 1
mkdir -p $pkgdir/usr/bin
mkdir -p $pkgdir/usr/sbin
mv $pkgdir/sbin/iscsi-iname $pkgdir/usr/bin
@@ -40,11 +48,14 @@ package() {
}
md5sums="8b8316d7c9469149a6cc6234478347f7 open-iscsi-2.0-873.tar.gz
+080961aef6eb9d0e8e5f65cf95411225 musl-fixes.patch
1462e44ce6ec4ae44ec83d0ffcd3cdda iscsid.initd
b762b687d4628791b4362df22cf22d34 iscsid.confd"
sha256sums="7dd9f2f97da417560349a8da44ea4fcfe98bfd5ef284240a2cc4ff8e88ac7cd9 open-iscsi-2.0-873.tar.gz
+44acaab8123abb8a205732baba11e1c70bcf828dfd3ac5c42c475ee85b433507 musl-fixes.patch
3bad25eba8254de845e41016df65855673c85a76ff96af713c7eab62c646bb7a iscsid.initd
673bf4744efc3276d372587c996270821d39dcdc0bf27a13691ea6b0e814b6d0 iscsid.confd"
sha512sums="4e67116cb7dd49381c9279645e5a661f05596ae6be3b832772089828b3764ca2d04b5dea1bcc337071efb52c3c75a6fb943136c659ee59500f3a198ed0dcea6b open-iscsi-2.0-873.tar.gz
+d40f6f14d848f2d8a2fdb11672be9b9147b71a72ac06b33f771bbe80e5fa4b5d92405df7f8978e8cd1779820e9797473bd55fc07b4f49d32c5279ac0fb39c93f musl-fixes.patch
ac3894a62d27a975c7ec6dbc639e7442d6f1472e4fe0967f813cc78de4a36418fcb584888012f1927a83bb2c73c26f85031cb411d49ba5356772dfd23e426c3f iscsid.initd
075bb9cb783be7ccbc799947e0e042b85310d40b3045141dc1be40ca84ed1cc0e1e54559df501c512c179e28375314b27a03c15d9a6d4b1cabd428b2279985d3 iscsid.confd"